Difference between revisions of "Development Team/Jhbuild/Debian"

From Sugar Labs
Jump to: navigation, search
(Prerequites: add aptitude invocation)
(command used to have Read working properly)
 
(14 intermediate revisions by 5 users not shown)
Line 1: Line 1:
 
== Supported versions ==
 
== Supported versions ==
Currently squeeze (testing) and sid (unstable) are supported.
+
Currently Wheezy (testing) and Sid (unstable) are supported.
  
== Prerequites ==
+
Squeeze isn't supported any more because Sugar is in the progress of migrating to GTK 3 / Gnome 3, requiring bleeding edge versions of a couple of components.
 +
 
 +
== Prerequisites ==
 
In order to install sugar-jhbuild, you need to install git-core, lsb-release, python and subversion:
 
In order to install sugar-jhbuild, you need to install git-core, lsb-release, python and subversion:
  aptitude install git-core lsb-release python subversion
+
  sudo aptitude install git-core lsb-release python subversion pkg-config
  
 
== Installing dependencies ==
 
== Installing dependencies ==
Line 11: Line 13:
 
  ./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install
 
  ./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install
  
=== icon-slicer ===
+
== Known issues ==
 
 
icon-slicer currently is in the process of being accepted into Debian (NEW queue). For the time being, please either install manually (and ignore depscheck complaining about it) or use the packages from Jonas Smedegaard (amd64 only). For the latter, add the following line to <tt>/etc/apt/sources.list</tt>:
 
 
 
deb http://debian.jones.dk sid sugar-src
 
 
 
== Fixing RPATH ==
 
To work around a bug in the Gnome Python bindings, you need to issue the following commands after installing all dependencies:
 
 
 
sudo aptitude install chrpath
 
find /usr/lib/pyshared/python2.*/gtk-2.0 -name "*.so" | sudo xargs chrpath -d
 
 
 
== Install xulrunner ==
 
  
With Debian testing ("squeeze"), you should install xulrunner and xulrunner-dev for mozilla to compile correctly (xulrunner-1.9 is not enough).
+
Sugar will currently fail to start up because of [http://bugs.debian.org/648724 Debian#648724]. Until the package maintainer uploads the fix to the official Debian archive, you can build the patched package yourself. [[User:Sascha_silbe|Sascha Silbe]] can provide binary packages for amd64, armel, i386 and maybe powerpc on request.
  
  apt-get install xulrunner xulrunner-dev
+
In order to use [[Activities/Read|Read]], you will need gir1.2-evince-3.0 >= 3.3.90-1, currently only available in [http://wiki.debian.org/DebianExperimental Debian experimental].
 +
sudo apt-get install -t experimental gir1.2-evince-3.0 libevview3-3

Latest revision as of 06:37, 3 May 2012

Supported versions

Currently Wheezy (testing) and Sid (unstable) are supported.

Squeeze isn't supported any more because Sugar is in the progress of migrating to GTK 3 / Gnome 3, requiring bleeding edge versions of a couple of components.

Prerequisites

In order to install sugar-jhbuild, you need to install git-core, lsb-release, python and subversion:

sudo aptitude install git-core lsb-release python subversion pkg-config

Installing dependencies

After installing and updating sugar-jhbuild according to the common instructions, you can use this invocation to install all dependencies automatically:

./sugar-jhbuild depscheck -s | sudo xargs aptitude -y install

Known issues

Sugar will currently fail to start up because of Debian#648724. Until the package maintainer uploads the fix to the official Debian archive, you can build the patched package yourself. Sascha Silbe can provide binary packages for amd64, armel, i386 and maybe powerpc on request.

In order to use Read, you will need gir1.2-evince-3.0 >= 3.3.90-1, currently only available in Debian experimental.

sudo apt-get install -t experimental gir1.2-evince-3.0 libevview3-3